Description

We found that users get confused / annoyed when they just logged in and sudo mode requires their password again if they wanted to

perform some administrative action.

Therefore this patch activates the sudo mode for the configured time span if the user logged in using username/password.

Associated revisions

Revision 14635 - 2015-10-01 19:07 - Jean-Philippe Lang

Activate sudo mode after password based login (#20589).

Patch by Jens Krämer.

History

#1 - 2015-08-21 11:16 - Jan from Planio www.plan.io

- Target version set to Candidate for next minor release

#2 - 2015-09-10 16:36 - Toshi MARUYAMA

- Target version changed from Candidate for next minor release to 3.2.0

#3 - 2015-09-30 21:51 - Jean-Philippe Lang

- Subject changed from activate sudo mode after password based login to Activate sudo mode after password based login

Agreed, but the patch doesn't work for me. I guess that's because #successful_authentication resets the session just after. The call to

#update_sudo_timestamp! should be moved just after, right?

This also breaks pretty much all the tests from SudoModeTest and we can not reset the session sudo timestamp from within integration tests, any

solution?

#4 - 2015-10-01 07:35 - Jens Krämer

- File enable_sudo_mode_after_pwd_based_login_fixed.diff added

You're right, it belongs after that.

Sorry for the sloppy patch. I attached a new one that also fixes the tests (by advancing the time using Rails' travel_to test helper) and adds a new test

to check wether sudo mode is active after log in.

#5 - 2015-10-01 19:07 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Brilliant, thanks. Committed in r14635.

Files

enable_sudo_mode_after_pwd_based_login.diff 481 Bytes 2015-08-21 Jens Krämer

enable_sudo_mode_after_pwd_based_login_fixed.diff 2.58 KB 2015-10-01 Jens Krämer
